[build-system]
requires = ["setuptools>=42", "wheel"]
build-backend = "setuptools.build_meta"

[project]
name = "tree-sitter-sql"
description = "Tree-sitter Grammar for SQL"
version = "0.3.11"
keywords = ["incremental", "parsing", "tree-sitter", "sql"]
classifiers = [
  "Intended Audience :: Developers",
  "License :: OSI Approved :: MIT License",
  "Topic :: Software Development :: Compilers",
  "Topic :: Text Processing :: Linguistic",
  "Typing :: Typed",
]
authors = [{ name = "derek stride" }]
requires-python = ">=3.10"
license.text = "MIT"
readme = "README.md"

[project.urls]
Homepage = "https://github.com/derekstride/tree-sitter-sql.git"

[project.optional-dependencies]
core = ["tree-sitter~=0.24"]

[tool.cibuildwheel]
build = "cp310-*"
build-frontend = "build"
